OS2 World.Com Forum

Subject  :  OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  aTorridGustOfSun
Date  :  20 Jul, 2006 on 16:32
I'm trying to install OS/2 Warp on an older IBM machine that I have. However, for some reason, I keep getting SYS0041 and SYS0045 errors on floppy diskettes 3 and 4. I've tried doing a disk copy to no avail.

Could it be that the disks are bad? How can I fix this problem? Is there anywhere I could acquire replacements or a similar solution?

Thanks for any help!!


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  BigWarpGuy
Date  :  20 Jul, 2006 on 20:11
I believe you can create new diskettes. I think they are at http://hobbes.nmsu.edu . If you have the cdrom, one could make them from that.

---
BigWarpGuy
- - - - - - - - - - - - - - - - - -
OS/2-eCS.org
Director of Communications
- - - - - - - - - - - - - - - - -
supporting the past OS/2 user and the future eCS user
http://www.os2ecs.org

Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  Fahrvenugen
Date  :  21 Jul, 2006 on 00:23
As I recall, sys0041 and sys0045 usually mean you have a bad disk. A few things you can try.

1. Try making a copy of the disk using DOS and the OS/2 XDFCOPY utility (if I'm correct, I believe it is on either the install disk or Disk 1). You'll need the XDFCOPY for disks 3 and 4 as on Warp 3, anything over the Install disk and Disk 1 use the XDF format. Sometimes XDFCopy can read a bad XDF disk when the installer won't read it.

2. Are you installing off a version of Warp 3 that came on CD Rom? If so, there is a BAT file on the CD which allows you to recreate the installation floppies. Or (and this is preferable), use the install disk and Disk 1 to get the installer to boot, and then install the rest from the CD.

3. Have you updated your Disk 1 yet? You may need to do this before Warp 3 will install. however it still should be able to read the disks.

If you have the old "floppy disk" version of OS/2 Warp 3 that did not come with a CD (but came with a stack of floppies), you'll need to find someone with that same version of Warp 3 to get copies of those 2 disks. For that, you'll need to provide more information as to which version you're running:

1. The "original" Warp 3.0 non-connect, and without WinOS/2 (ie, it says on the box something like "uses your existing Windows 3.1). The box has a red spine. Install and readme files are dated something like November 1994.

2. The "original" Warp 3.0 non-connect, but With WinOS/2 (this box has a Blue spine)

3. The "Original" Warp 3.0 Connect, without WinOS/2 (it'll say "Warp Version 3 Connect" on the box, have a red spine, and says it can use your existing Windows 3.1 for Windows support)

4. The "Original" Warp 3.0 Connect, With WinOS/2 (it'll say "Connect" and "includes Windows 3.1 support" or some such thing, it has a blue spine)

5. The OEM / Pre-Installed version that came pre-installed on IBM machines (I don't have much more information about this version, but I know it existed)

6. The "Refreshed" version of Warp 3.0, non-Connect, and without Win-OS/2. It'll have a red spine on the box, and generally is identical to the Version 1 on this list, however it was refreshed with Fixpak 5, had a few fixes to an initial very buggy installer, and all the install files are dated mid to late 1995.

Confused yet? Hopefully not. Anyways, if you can figure out which version you have (probably either 1, 2, 3, or 4 from the above list), someone can likely help you out. Previously you could actually call IBM and get replacement disks (I had to do this with my original copy of Warp back in 1995), but they won't do this any more.

Hope this helps.


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  aTorridGustOfSun
Date  :  21 Jul, 2006 on 02:12
Thanks for the responses!

I tried the XDFcopy, but unfortunately, it returns the message "An error occurred while reading from the source diskette or image file."

I do not have the CD Rom version, but rather the version that came as a stack of floppy disks.

The version of OS/2 Warp 3 I have is the box with a blue spine and says "Includes DOS and Windows Application Support", which I would assume to be the #2 that you listed.

Oh, I also took a look at the Hobbes website, and didn't find any disk images for OS/2, unless I am just not looking/searching for the correct terms.

I look forward to hearing your responses! I would love to get OS/2 working!


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  Fahrvenugen
Date  :  21 Jul, 2006 on 23:22
yes, it does sound like you have the version #2 from the list.

Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  eCSRD
Date  :  22 Jul, 2006 on 00:32
I found my old OS/2 V3 package.
It is a red package (1996) os/2 warp connect.
I check Disk3 & 4 contain and I think it may be compatible.
Disk3 has : BUNDLE + DOS + PRESCHEK + SCSIADDS + XVAVESA
Disk4 has : BUNDLE + REXX + VGADOS

RD


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  Fahrvenugen
Date  :  22 Jul, 2006 on 17:08
That may work, the difficulty is that the "bundle" is a file which contains a whole bunch of files in it (sort of like a ZIP), and it is anybody's guess if the "bundle" files contain the same bundles of files.

Subject  :  Re:Warning OS/2 Warp V3 & V4 !!!
Author  :  icebear
Date  :  26 Jul, 2006 on 08:13
The system file structures of both these systems are different !!

This may cause the V4 not to be installable with the V4 installation diskettes !?

On the other hand: V3 is even older than V4 and needs therefor replaced files too !!

At this time: I suggest forgetting installing V3 !!!

Sorry for not having a better suggestion.


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  Fahrvenugen
Date  :  26 Jul, 2006 on 18:39
Hi Icebear,

You are correct in that the installation disks from OS/2 Warp 4 and OS/2 Warp 3 are different, and contain different content from each other. So mixing and matching Warp 3 and Warp 4 installation disks won't work (with the exception, you can sometimes use the "Install" and "Disk 1" from Warp 4 on a Warp 3 install, but I don't recommend this unless you've had a lot of experience installing Warp)

But so far this thread has been talking about OS/2 Warp Version 3.0 - in particular the version which is NOT the "connect" version (ie, it doesn't have the full networking stuff, just the "Internet Access Kit" based on TCP/IP 2.0 with only Dialup stuff, no network card stuff), but DOES contain the Dos/Win3.1 (ie, it contains WinOS/2) support - the "Blue Spine" box. And the version which came on Floppy Disk, as opposed to CD Rom (there is technically no difference between the CD and the Floppy versions, with the exception that the CD version included the CD drivers on the Install and Disk 1, plus the setup in the config.sys to allow it to install from CD).

Overall the best option today is to just buy a copy of eCS. There won't likely be a need to mess with updating install disks, and you'll get an up to date installation of OS/2 at the V 4.52 level.

As for getting V3 installed today, it is still possible to do on the latest hardware (I actually did this on a machine about 2 months ago... needed a copy of Warp installed on a machine for a short term project, and rather then purchasing another license for eCS, I figured I'd just use one of the spare Version 3 licenses I have sitting on my shelf), but you have to know what you're doing.


Subject  :  Re:OS/2 Warp v3 - SYS0041 & SYS0045 installation problems
Author  :  icebear
Date  :  27 Jul, 2006 on 07:46
Hi Fahrvenugen
I agree with: ONLY an experienced user is able to replace the needed files in the OS/2 Warp diskettes but also may risk a fatal lack of space !!!

My library also contains the Version 3 from last century

As for a beginner or Non-Warp-experienced user I recommend:
Both Hands off !!

Otherwise problems and troubles warranted for sure !


Powered by UltraBoard 2000 <www.ub2k.com>